<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <!-- link css -->
    <link rel="stylesheet" href="./assets/style.css">
    <!-- link para fuentes de google -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap" rel="stylesheet">

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=VT323&display=swap" rel="stylesheet">
    <!-- link para icono -->
    <link rel="shortcut icon" href="./assets/img/libreta22.png" type="image/x-icon">

    <title>Mi Agenda</title>
</head>
<body>
    <!-- contenedor del titulo -->
    <div class="container">
        <h1 class="text-center mt-3">Mi Agenda de Contactos</h1>
        <span class="placeholder col-12 bg-success"></span>
    </div>  
   
    <!-- contenedor de los campos de texto -->
    <div class="container input-group mx-auto mt-3 mb-3">
        <input type="text" class="form-control text-center" id="nombre" placeholder="Nombre" maxlength="50">
        <input type="number" class="form-control text-center" id="telefono" placeholder="Telefono" min="1000000000" max="9999999999">
        <input type="email" class="form-control text-center" id="email" placeholder="ejemplo@ejemplo.cl">
    </div>

    <!-- contenedor de los botones -->
    <div class="container text-center mx-auto">
        <!-- con este boton captura los datos para ser mostrados en la tabla -->
        <button type="submit" class="btn btn-success mb-3" onclick="agregarContacto()">Agregar</button> 
        <!-- con este boton limpia los campos de texto se crea funcion, debido a que no esta dentro de un formulario-->
        <button type="reset" class="btn btn-warning mb-3"onclick="limpiarCampos()">Limpiar</button> 
        <span class="placeholder col-12 bg-success"></span>
    </div>

    <!-- contenedor del buscador de contacto -->
    <div class="container">
        <h3 class="text-center m-3">Buscar Contacto</h3>
         <!-- con este input se busca un contacto en la tabla -->
        <input type="text" class="form-control mb-3" id="buscar" placeholder="Por ejemplo: Thomas Anderson" onkeyup="buscarContacto()">
        <span class="placeholder col-12 bg-success"></span>
    </div>

    <!-- contenedor de la tabla de contactos -->
    <div class="container mt-3">
        <h3 class="text-center">Contactos</h3>
        <p class="text-center">Actualmente tienes <span class="badge rounded-pill text-bg-warning" id="totalContactos"> </span> contactos</p>
        <table class="table table-dark">
            <thead>
                <tr class="text-center">
                    <th>Nombre</th>
                    <th>Telefono</th>
                    <th>Email</th>
                    <th></th>
                </tr>
            </thead>
            <tbody id="contactos">
            <!-- aca se mostraran los contactos dinamicamente -->
            </tbody>
        </table>
    </div>

    <!-- contenedor del boton de borrar todo los contactos -->
    <div class="container text-center">
        <button type="button" class="btn btn-danger btn-sm" onclick="alvTodo()">Borrar todo</button>
    </div>
    <!-- easteregg -->
    <img src="./assets/img/conejo_blanco.png" alt="sigue al conejo blanco" class="fijo sombra" onclick="wakeUpNeo()">
    <p class="fijo2">Si estas viendo esto haz click en el conejo, sigue al conejo blanco...</p>
    <audio src="./assets/music/wakeup.mp3" id="audio"></audio>
    
    <!-- script los propios, sweetalert y bootstrap-->
    <script src="./assets/script.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>
</body>
</html>